Subject: Re: bug#51336: 29.0.50; Application not responding

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jan 2024 08:51:08 +0200

> Date: Sat, 13 Jan 2024 00:53:12 +0100
> From: Kirill Korinsky <[email-masked]>
> 
> > > I'm confused: 6acb3c5b05a was installed on master, not on the
> > > emacs-29 branch.  AFAICT, Emacs 29 still has the code which that
> > > commit removed.  And yet the bug report is for Emacs 29(?).  Am I
> > > missing something?
> >
> > Kirill specified commit d9462e24a967e32d550ee886b5150f0cc78358f6 which
> > is, I think, in the master branch.
> 
> Yes, I usually runs on something from master which I pick each months or so.

So the Emacs version where you see these freezes is 30.0.50, not
29.0.50 (or any other 29.x.y)?

> During writing this email (~10 minutes?) it had frozen for a few seconds with
> logs like this in *Message* buffer:
> 
> Error during redisplay: (jit-lock-function 626) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 627) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 633) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 674) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 675) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 682) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 686) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 687) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 688) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 687) signaled (args-out-of-range "" 0)
> Error during redisplay: (jit-lock-function 696) signaled (args-out-of-range "" 0)

I would suggest to find out which Lisp code causes these messages.
What mode do you use to type email, and what customizations of that
mode do you have?

Alan, is there something special in how redisplay on NS handles Lisp
errors which happen in JIT font-lock?  On other platforms, such errors
are caught and ignored, resulting only in messages in *Messages*, they
never cause any freezes, except perhaps for short time intervals (if
the errors are generated at high frequency, or maybe continuously).